/*
 * EqualizerWidget.h
 *
 *  Created on: Jun 2, 2012
 *      Author: mschoepf
 */

#ifndef EQUALIZERWIDGET_H_
#define EQUALIZERWIDGET_H_

#include <iostream>
#include <Qt/qwidget.h>
#include <Qt/qpainter.h>

class EqualizerWidget : public QWidget
{
	Q_OBJECT

 protected:
     void paintEvent(QPaintEvent *event);

 private:
     float e_level;
     QColor e_color;
     QPixmap e_pixmap;
public:
	EqualizerWidget(QWidget *parent = 0);
	void setLevel(float value);
	void setColor (QColor color);
};

#endif /* EQUALIZERWIDGET_H_ */
